{% extends 'base.html.twig' %}

{% block title %}Hello ViewController!{% endblock %}

{% block body %}
<div class="container">
    <div class="row">
        {% include 'block/profile.block.html.twig' %}
        <div class="col-9">
            <h1>Liste des offres</h1>
            {% for offer in offers %}
                <div class="container mb-4 p-0">
                    <div class="row">
                        <div class="col-2">
                            <img src="https://via.placeholder.com/100">
                        </div>
                        <div class="col-10">
                            <h2>{{ offer.title }}</h2>

                            {# Définition du délai de publication (en sec, min ou h) #}
                            {% set difference = date(offer.datePublication).diff(date(date_now)) %}
                            {% set leftDays = difference.d ~ " jours" %}
                            {% if leftDays < 1 %}
                                {% set leftDays = difference.h ~ " heures" %}
                            {% endif %} 
                            {% if leftDays < 1 %}
                                {% set leftDays = difference.i ~ " minutes" %}   
                            {% endif %}  

                            <span class="d-block">{{ offer.company.companyName }}</span>
                            <span class="d-block">{{ offer.contract }} - 
                            À partir de {{ offer.dateBeginning | date('F Y')}} - 
                            Publié il y a {{ leftDays }}</span>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>                
    </div>
</div>
{% endblock %}
